### A free/open-source library for quantitative finance

Static Public Member Functions
CommodityPricingHelper Class Reference

commodity index helper More...

`#include <ql/experimental/commodities/commoditypricinghelpers.hpp>`

List of all members.

## Static Public Member Functions

static Real | calculateFxConversionFactor (const Currency &fromCurrency, const Currency &toCurrency, const Date &evaluationDate)
static Real | calculateUomConversionFactor (const CommodityType &commodityType, const UnitOfMeasure &fromUnitOfMeasure, const UnitOfMeasure &toUnitOfMeasure)
static Real | calculateUnitCost (const CommodityType &commodityType, const CommodityUnitCost &unitCost, const Currency &baseCurrency, const UnitOfMeasure &baseUnitOfMeasure, const Date &evaluationDate)
static void | createPricingPeriods (Date startDate, Date endDate, const Quantity &quantity, EnergyCommodity::DeliverySchedule deliverySchedule, EnergyCommodity::QuantityPeriodicity qtyPeriodicity, const PaymentTerm &paymentTerm, PricingPeriods &pricingPeriods)

## Detailed Description

commodity index helper